package com.goafanti.common.dao;

import com.goafanti.common.model.ExpenseAccountPrivate;
import com.goafanti.expenseAccount.bo.InputExpenseAccountPrivate;
import com.goafanti.expenseAccount.bo.OutExpenseAccountPrivate;

public interface ExpenseAccountPrivateMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpenseAccountPrivate record);

    int insertSelective(ExpenseAccountPrivate record);

    ExpenseAccountPrivate selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpenseAccountPrivate record);

    int updateByPrimaryKey(ExpenseAccountPrivate record);

    Integer checkParam(InputExpenseAccountPrivate in);


    void updateStatusByAid(InputExpenseAccountPrivate in);

    ExpenseAccountPrivate selectByAccount(InputExpenseAccountPrivate in);

    OutExpenseAccountPrivate selectById(Integer id);

    Integer selectByaidDefault(String aid);
}
